
INSTALLATION
============
Before you enable the Leaflet More Maps module, you need to install the Leaflet
module.

With both modules installed successfully, you should not see any errors in the
Status Report, admin/reports/status, and the section "Leaflet Library" should
report that you have over 20 maps available to choose from.

You select your favorite map when you format a single field (eg Geofield) as a
map or when you format a View of multiple nodes or other entities as a map.
Modules  Leaflet Views (submodule of Leaflet) and "IP Geolocation Views and
Maps" are particularly good for this.
The OSM Thunderforest maps, https://www.thunderforest.com/maps, require an API
key. Please obtain one at https://www.thunderforest.com/docs/apikeys and enter
it on the Leaflet More Maps configuration page
admin/config/system/leaflet-more-maps

Apart from using any of the "off-the-shelf" maps, you can also assemble your
own map from the available layers at the Leaflet More Maps configuration page:
admin/config/system/leaflet-more-maps. A layer switcher will automatically appear
in the upper right-hand corner.

The included submodule Leaflet Demo introduces a block that you can enable on a
page to showcase all maps available, centered on your current location, or any
other location for which you specify lat/long coordinates.
Not all maps are available at all coordinates and zoom levels.
All maps show at lat=31, long=-89, zoom=4


FOR PROGRAMMERS
===============
You can add your own map by implementing hook_leaflet_map_info(). See
leaflet_leaflet_map_info() in leaflet.module for an example.
You can alter the default settings of any Leaflet map on the system by
implementing hook_leaflet_map_info_alter().
Example:

  function MYMODULE_leaflet_map_info_alter(&$map_info) {
    foreach ($map_info as $map_id => $info) {
      $map_info[$map_id]['settings']['zoom'] = 2;
      $map_info[$map_id]['label'] += ' ' . t('default zoom=2');
    }
  }


References and licensing terms:

o https://leafletjs.com
o https://www.openstreetmap.org/copyright
o https://www.mapbox.com/legal/tos
o https://maps.stamen.com/#watercolor/12/37.7706/-122.3782
o https://thunderforest.com
o https://www.esri.com
o https://www.google.com/intl/en_au/help/terms_maps.html
o https://www.microsoft.com/maps/product/terms.html
